Skip to main content

Get Riskbits

Using this API, will return the list of riskbit details for the riskbitId provided in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/riskbits/{riskbitid}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/kobilriskbits/resources-auth/{riskbitid}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

No request body fields are required

Response​

Field NameTypeDescription
idStringUnique riskbitId
ratingLevelStringRating level of risk
scoreStringScore of the risk.
riskStringRisk name.
riskAndroidStringAndroid risk name.
riskIOSStringiOS risk name.
operationStringRisk operation name
realmIdStringTenant name

Sample Response​

{
"id": "fa8975fc-a3b6-42f4-85d6-1107ec5fe864",
"ratingLevel": "A",
"score": "986-999",
"risk": "0.80",
"riskAndroid": "",
"riskIOS": "",
"operation": "none",
"realmId": "demokc"
}

Response Status Information​

Status CodeStatusMessage
200OKSuccessfully created.
204No ContentNo Content.
401UnauthorizedHTTP 401 Unauthorized.